
Figure - Bug #117352
【BSP】【音频】系统音量不为零，接听微信/QQ语音后音量变为零
2023-04-06 19:52 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-06

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102(X102)

Resolution: FIXED Degrated: No

Severity: Minor Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

Reproducibility: Every time Fixed Version: 2023-04-20

Test Type: Free Test Root cause: 针对微信的mute调用返回

Description

【测试步骤】

设置系统音量不为零，有微信/QQ语音电话，点击接听

【预期结果】

可以正常通话，音量与系统设置一致

【测试结果】

接听后系统音量变为零，此时不手动设置音量挂断后 系统音量也为零

【备注】

如果连接的蓝牙音箱，接听后音量变为100%

History

#1 - 2023-04-19 14:52 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_CDTS  唐霞 

Hi唐霞，

这个问题本地没有复现到，麻烦在最新版本放开日志重测一下。如果仍然复现请上传日志

Thanks

#2 - 2023-04-21 10:07 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2023-04-20

HI 永红

该问题和117566同件问题，4/20后已经修复，请验证！

#3 - 2023-04-21 15:12 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to Multimedia组-RD3_TSCD 梁卿山

- Resolution changed from DUPLICATE to --
【测试步骤】

1、副屏音量不为零

2、微信接到语音

3、打开控制中心查看系统音量显示

4、挂断语音电话

【测试结果】

2、有声音

3、显示静音

4、控制中心音量显示恢复步骤一的音量

#4 - 2023-04-23 20:07 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from NEED_INFO to ASSIGNED

HI ALL

当前分析，该问题仅在微信发生，QQ不发生，且仅在响铃时，出现量为0，根据日志，发现是应用自己发出的mute。

4-21 15:50:02.494  1016 10183 I MediaFocusControl: requestAudioFocus() from uid/pid 10111/4332 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=

android.media.AudioManager@47a5ca2oc3.b@32a1859 callingPack=com.tencent.mm req=2 flags=0x0 sdk=29

04-21 15:50:02.780  4332  4677 W AudioManager: setStreamMute is deprecated. adjustStreamVolume should be used instead.

04-21 15:50:02.788  1891  2234 I vol.Events: writeEvent mute_changed STREAM_VOICE_CALL true

04-21 15:50:02.800  1891  2234 I vol.Events: writeEvent mute_changed STREAM_SYSTEM true

04-21 15:50:02.800  1891  2234 I vol.Events: writeEvent mute_changed STREAM_RING true

04-21 15:50:02.803  1891  2234 I vol.Events: writeEvent mute_changed STREAM_MUSIC true

04-21 15:50:02.807  1891  2234 I vol.Events: writeEvent mute_changed STREAM_ALARM true

#5 - 2023-04-24 15:29 - Multimedia组-RD3_TSCD 梁卿山

HI ALL，

当前分析该行为是应用自身行为，且当前行为不影响铃声；

接通和挂断后音量均正常，申请不解该问题。

#6 - 2023-04-24 19:27 - CD TPM-王祥林

卿山

如沟通，还需要再调查下为什么会把所有流都mute了。

#7 - 2023-04-25 20:00 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL,

由于我们有需求将除蓝牙外的所有流都用music流控制，所以当music流mute时，会将其他的流也一同mute；这是正常的行为。

#8 - 2023-04-27 16:00 - Multimedia组-RD3_TSCD 梁卿山
HI ALl

当前采用方案，让微信在播放铃声时的mute不生效；

提交如下：

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196821

#9 - 2023-05-04 14:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196821 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: WeChat mute music ReturnWeChat mute music ReturnTC-RID: 0301-0900116IssueID: TS-R-BUG-117352Change-Id:

Ia0889ef14b4edd6911690e8f9b45013d6610294b

#10 - 2023-05-04 14:44 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 针对微信的mute调用返回

Hi 永红

该问题的修复代码已经合入，请使用5月4日后的版本进行验证，谢谢！

#11 - 2023-05-04 14:45 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

#12 - 2023-05-05 14:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

5.5

验证通过

#13 - 2023-05-05 14:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
